Subject: [alpine-devel] [RFC] iwd as default wireless daemon for Alpine

From: ecsx <[email-masked]>
Date: Sun, 26 May 2019 12:56:14 +0000

Hello.

Alpine currently ships wpa_supplicant as default for wireless.
It seems iwd is available on community for all architectures but s390x and I come to share an idea of 1) move iwd to main 2) fix s390x compilation 3) ship iwd as Alpine default wireless daemon, completely replacing wpa_supplicant

lines of code according to cloc
===============================
wpa_supplicant: 107.301 lines of code
iwd: 33.350 lines of code

size of the binary
==================
1.6M    /sbin/wpa_supplicant
384.0K  /usr/libexec/iwd
216.0K  /usr/bin/iwmon
76.0K   /usr/bin/iwctl

wpa_supplicant (total) -- 1.6M
iwd (total)            -- 676.0K

dependencies
============
iwd:
    ell,
    musl,
    readline

wpa_supplicant:
    dbus-libs
    libcrypto1.1
    libnl3
    libssl1.1
    musl
    pcsc-lite-libs

I don't consider number of CVEs because iwd is much newer so it's natural to have fewer.
But I think the Alpine community agrees that most times less code == less vulnerabilities.
And iwd is much smaller than wpa_supplicant.

All considered iwd feels it belongs to Alpine more than wpa_supplicant.
As Alpine always tries to stay with small footprint and ever slimmer base, iwd seems natural to be the default.

Regards,
Ecs